%define name	smartmontools
%define ver	5.32
%define rel	2
%define susever	9.1
%define grp	Hardware/Other
%define prefix	/usr

#
# spec file for package smartmontools
#
# Based on the spec file shipped with SuSE Linux 9.1, and on the one shipped
# with smartmontools.

# norootforbuild
# neededforbuild  

#BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm
BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Summary:	Monitor S.M.A.R.T. disks and devices
Summary(cs):	pro monitorovn S.M.A.R.T. disk a zazen
Summary(de):	zur berwachung von S.M.A.R.T.-Platten und -Gerten
Summary(es):	para el seguimiento de discos y dispositivos S.M.A.R.T.
Summary(fr):	pour le suivi des disques et instruments S.M.A.R.T.
Summary(pt):	para monitorar discos e dispositivos S.M.A.R.T.
Summary(it):	per monitare dischi e dispositivi S.M.A.R.T.
Summary(pl):	Monitorowanie i kontrola dyskw uywaj S.M.A.R.T.
Name:		%{name}
Version:	%{ver}
Release:	%{rel}
Group:		%{grp}
Packager:	Volker Kuhlmann <VolkerKuhlmann@gmx.de>
Distribution:	SuSE Linux %{susever} contrib
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-%(id -u -n)

License:      GPL
Autoreqprov:  on
Source0:      %{name}-%{ver}.tar.gz
Source1:      smartd.init
Source2:      README.SATA
%if %suse_version > 800
PreReq:       %insserv_prereq %fillup_prereq
%endif
URL:          http://smartmontools.sourceforge.net/
Obsoletes:    smartctl smartd ucsc-smartsuite smartsuite


%description
SMARTmontools controls and monitors storage devices using the
Self-Monitoring, Analysis, and Reporting Technology System (S.M.A.R.T.)
built into ATA and SCSI Hard Drives.  This is used to check hard drive
reliability and to predict drive failures.  The suite is derived from
the smartsuite package, and contains two utilities.  The first,
smartctl, is a command line utility designed to perform simple
S.M.A.R.T. tasks.  The second, smartd, is a daemon that periodically
monitors smart status and reports errors to syslog.  The package is
compatible with the ATA/ATAPI-5 specification.	Future releases will be
compatible with the ATA/ATAPI-6 and ATA/ATAPI-7 specifications.  The
package is intended to incorporate as much "vendor specific" and
"reserved" information as possible about disk drives. The commands man
smartctl and man smartd will provide more information.

Authors:
--------
    Bruce Allen <smartmontools-support@lists.sourceforge.net>

%description -l de
Die smartmontools steuern und berwachen Speichergerte mittels des
S.M.A.R.T.-Systems (Self-Monitoring, Analysis and Reporting Technology,
Technologie zur Selbst-berwachung, Analyse und Berichterstellung), das
in ATA- und SCSI-Festplatten eingesetzt wird. Sie werden benutzt, um
die Zuverlssigkeit der Festplatte zu prfen und Plattenfehler
vorherzusagen. Die Suite wurde vom smartsuite-Paket abgeleitet und
enthlt zwei Dienstprogramme. Das erste, smartctl, ist ein
Kommandozeilentool, das einfache S.M.A.R.T. Aufgaben ausfhrt. Das
zweite, smartd, ist ein Daemon, der periodisch den S.M.A.R.T.-Status
berwacht und Fehler ins Syslog protokolliert. Das Paket ist zur
ATA/ATAPI-5 Spezifikation kompatibel. Zuknftige Versionen werden auch
die ATA/ATAPI-6 und ATA/ATAPI-7 Spezifikationen umsetzen. Das Paket
versucht, so viele "herstellerspezifische" und "reservierte" Information
ber Plattenlaufwerke wie mglich bereitzustellen. man smartctl und man
smartd liefern mehr Informationen ber den Einsatz.


%prep
%setup -q
#cp -a %{S:2} .

%build
./configure --prefix=%{prefix} --mandir=%_mandir --sysconfdir=/etc \
	--with-initscriptdir=/etc/init.d \
	--with-docdir=%{prefix}/share/doc/packages/smartmontools
make

%install
test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" \
	&& rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/etc/init.d
make DESTDIR=$RPM_BUILD_ROOT install
cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/smartd
chmod +x $RPM_BUILD_ROOT/etc/init.d/smartd
ln -s ../../etc/init.d/smartd $RPM_BUILD_ROOT/usr/sbin/rcsmartd
cp -p %{SOURCE2} $RPM_BUILD_ROOT/usr/share/doc/packages/%name
#remove installed files we don't want to package
rm -rf $RPM_BUILD_ROOT/etc/rc.d/init.d/


%post
%{fillup_and_insserv -n smartd}


%postun
%{insserv_cleanup -n smartd}


%clean
test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" \
	&& rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-, root, root)
%_docdir/%name
%config(noreplace) /etc/*.conf
%{prefix}/sbin/*
%{prefix}/share/man/man*/*
%config /etc/init.d/*

%changelog -n smartmontools
* Wed Aug 25 2004 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- For SUSE 9.1
* Mon Mar 08 2004 - sbrabec@suse.cz
- Updated to version 5.30.
* Fri Mar 05 2004 - sbrabec@suse.cz
- Added README.SATA.
- Added %%build section.
* Sat Nov 29 2003 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Update to 5.26
* Fri Oct 17 2003 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Update to 5.21
* Wed Oct 08 2003 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- for SuSE 8.2
* Mon Jan 27 2003 - sbrabec@suse.cz
- Updated to version 5.1.4.
* Mon Jan 13 2003 - sbrabec@suse.cz
- Updated to version 5.1.1.
* Tue Dec 10 2002 - sbrabec@suse.cz
- Updated to version 5.0.49.
* Mon Nov 25 2002 - sbrabec@suse.cz
- Fixed SuSE specific things in docs and manual pages.
* Mon Nov 18 2002 - sbrabec@suse.cz
- New package.
